BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComVisible(true)

This interface is used in conjunction with the and methods. It provides a way to customize the sort order of a collection. See the method for notes on parameters and return value.

The default implementation of this interface is the class. For the generic version of this interface, see .

Exposes a method that compares two objects.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` ``

  The preferred implementation is to use the method of one of the parameters.

  Comparing null with any type is allowed and does not generate an exception when using . When sorting, null is considered to be less than any other object.

  Compares two objects and returns a value indicating whether one is less than, equal to, or greater than the other.

  A signed integer that indicates the relative values of and , as shown in the following table.

  Value

  Meaning

  Less than zero

  is less than .

  Zero

  equals .

  Greater than zero

  is greater than .

  The first object to compare. The second object to compare. 0
0